Package org.eclipse.net4j.util.container

## Interface IElementProcessor

- All Known Implementing Classes:
    `ChallengeNegotiatorConfigurer`, `ResponseNegotiatorInjector`

      public interface IElementProcessor

  Processes elements of a `managed container` when they're added to the container.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `process​(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)` |

- - ### Method Detail

    - #### process

          java.lang.Object process​(IManagedContainer container,
                                   java.lang.String productGroup,
                                   java.lang.String factoryType,
                                   java.lang.String description,
                                   java.lang.Object element)